# platform.getTimestamp

Get the current P-Chain timestamp.

This method will use `90` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://docs.avax.network/reference/avalanchego/p-chain/api#platformgettimestamp)

## **Parameters**

`None`&#x20;

## Returns

* `timestamp` - string - The timestamp of the current P-chain.

```json
// Results
{
  "jsonrpc": "2.0",
  "result": {
    "timestamp": "2021-09-07T00:00:00-04:00"
  },
  "id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/P \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "platform.getTimestamp",
    "params": {},
    "id": 1
}
}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/P \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "platform.getTimestamp",
    "params": {},
    "id": 1
}
}'
```

{% endtab %}
{% endtabs %}
